:root {
    --body-color: hsl(30, 38%, 92%);
    --container-color: hsl(0, 0%, 100%);
    --price-color: hsl(158, 36%, 37%);
    --hover-color: hsl(158, 42%, 18%);
    --main-text-color: hsl(212, 21%, 14%);
    --sub-text-color: hsl(228, 12%, 48%);
}

*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 14px;
}

html {
    overflow-x: hidden;
}


body {
    width: 100vw;
    max-width: 375px;
    display: grid;
    place-items: center;
    margin: 5.72rem auto;
    background-color: var(--body-color);
}

.product_container {
    width: 93%;
    display: block;
    height: fit-content;
    overflow: hidden;
    box-sizing: border-box;
    border-radius: 7px;
    background-color: var(--container-color);
}

.product_image {
    padding-bottom: 2rem;
}

.product_image img {
    width: 100%;
}

.product_image .desktop {
    display: none;
}

.product_content {
    padding-left: 2.2rem;
    padding-right: 2.2rem;
}

.title {
    font-family: "Montserrat";
    font-weight: 500;
    color: var(--sub-text-color);
    letter-spacing: .29rem;
    font-size: .95rem;
    padding-bottom: 1.8rem;
}

.name {
    font-family: "Fraunces";
    font-weight: 700;
    font-size: 2.3rem;
    color: var(--main-text-color);
    line-height: 2.3rem;
    padding-bottom: 1.7rem;
}

.description {
    font-family: "Montserrat";
    font-weight: 500;
    color: var(--sub-text-color);
    line-height: 1.5rem;
    padding-bottom: 1.7rem;
}

.add_cart {
    display: flex;
    align-items: center;
    font-family: "Fraunces";
    padding-bottom: 1.3rem;
}

.discount {
    font-weight: 700;
    font-size: 2.3rem;
    color: var(--price-color);
    padding-right: 1rem;
}

button {
    width: 100%;
    height: 3.5rem;
    border: none;
    border-radius: 5px;
    background-color: var(--price-color);
    margin-bottom: 2.5rem;
}

button:hover {
    background-color: var(--hover-color);
    cursor: pointer;
}

button img {
    padding-right: 1rem;
}

button a {
    color: white;
    text-decoration: none;
    font-family: "Montserrat";
    font-weight: 500;
}

@media screen and (min-width: 1200px) {
    *,
    *::after,
    *::before {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        font-size: 14px;
}

    html {
        overflow: hidden;
    }

    body {
        width: 100vw;
        height: auto;
        margin: 7rem auto;
        padding: 0 auto;
        display: grid;
        place-content: center;
    }

    .product_container {
        width: 600px;
        height: 450px;
        padding: 0;
        margin: 0;
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .product_content {
         padding: 2.3rem;
    }

    .product_image {
        width: 100%;
        height: 100%;
        margin: 0;
        padding: 0;
    }

    .mobile {
        display: none;
    }

    .product_image .desktop {
        display: block;
        background-size: cover
    };

    button:focus {
        background-color: var(--hover-color);
    }
}